# java

abstract fun java(@Nullable @DelegatesTo(value = SourceDirectorySet::class) configureClosure: @Nullable Closure): SourceSet

Configures the Java source for this set.

The given closure is used to configure the SourceDirectorySet which contains the Java source.

#### Return

this

#### Parameters

configureClosure

The closure to use to configure the Java source.

abstract fun java(configureAction: Action<in SourceDirectorySet>): SourceSet

Configures the Java source for this set.

The given action is used to configure the SourceDirectorySet which contains the Java source.

#### Return

this

#### Parameters

configureAction

The action to use to configure the Java source.